Bug 242343 - gdm-binary crashes
gdm-binary crashes
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
8
All Linux
low Severity urgent
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-03 10:30 EDT by Jonathan Kamens
Modified: 2009-01-08 23:37 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-08 23:37:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Log messages from gdm with debug enabled (106.48 KB, text/plain)
2007-06-03 10:30 EDT, Jonathan Kamens
no flags Details

  None (edit)
Description Jonathan Kamens 2007-06-03 10:30:02 EDT
Upgraded to gdm-2.19.1-1.fc8.i386.rpm.  Tried to log in.  Screen flashes after I
enter my password, and then login screen returns.  Enabled gdm debug and found
that slave gdm-binary process is crashing.  Relevant log entries attached as
log.txt.  Downgrading to gdm-2.18.0-14.fc7.i386.rpm made the problem go away. 
I'd be glad to snag a core dump if you can't reproduce the issue, but I can't
figure out how to do that -- gdm-binary doesn't appear to be dumping core
anywhere, and I can't figure out what setting I'd need to modify to make it do that.
Comment 1 Jonathan Kamens 2007-06-03 10:30:02 EDT
Created attachment 156023 [details]
Log messages from gdm with debug enabled
Comment 2 Jonathan Kamens 2007-06-03 10:30:33 EDT
Marking this urgent because can't log in at all because of this bug.
Comment 3 Chris Rankin 2008-01-19 20:10:41 EST
This bug might have surfaced again because it seems to describe what has started
happening to me as of approx 18th Jan 2008: the system is crashing when I try to
login, and the following message has appeared in my dmesg log:

gdm-binary[2642]: segfault at 73694c7f eip 4c7c3092 esp bfa14ed0 error 6

I am running gdm-2.20.2-2.fc8. In order to login, I *seem* to need to clean out
my user's files and directories from /tmp. When login fails, I can login via a
serial console and discover that the .xsession-errors file contains a message
from the X server, complaining that a resource is temporarily unavailable.
Comment 4 Chris Rankin 2008-01-19 20:13:37 EST
I have found this back-trace in one of the gdm log files:

Backtrace:
0: /usr/bin/X(xf86SigHandler+0x81) [0x80cdfb1]
1: [0xb7f59420]
2: /usr/lib/xorg/modules//libfb.so(fbCopyAreammx+0x21e) [0xb7c3494e]
3: /usr/lib/xorg/modules//libfb.so(fbCompositeCopyAreammx+0x66) [0xb7c34a16]
4: /usr/lib/xorg/modules//libfb.so(fbComposite+0x57f) [0xb7c279df]
5: /usr/lib/xorg/modules//libxaa.so(XAAComposite+0x261) [0xb7be0f31]
6: /usr/bin/X [0x8177706]
7: /usr/bin/X [0x8174006]
8: /usr/bin/X(CompositePicture+0x153) [0x815a6c3]
9: /usr/bin/X [0x81604ff]
10: /usr/bin/X [0x815d8a5]
11: /usr/bin/X [0x8150b0e]
12: /usr/bin/X(Dispatch+0x1aa) [0x808880a]
13: /usr/bin/X(main+0x49a) [0x807054a]
14: /lib/libc.so.6(__libc_start_main+0xe0) [0x426c5390]
15: /usr/bin/X(FontFileCompleteXLFD+0x1f1) [0x806f831]
Comment 5 Chris Rankin 2008-01-19 20:29:26 EST
FYI, I have a Radeon 9550 card, and have disabled Desktop Effects. Here is my
Device section:

Section "Device"
        Identifier  "Radeon 9550"
        Driver      "radeon"
        Option      "AGPMode" "8"
        Option      "GARTSize" "128"
        Option      "RenderAccel" "on"
        Option      "EnablePageFlip" "on"
EndSection
Comment 6 Bug Zapper 2008-11-26 02:16:45 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-01-08 23:37:32 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.